[Sugar-devel] Problem importing hulahop.webview() in sugar emulator

Aleksey Lim alsroot at member.fsf.org
Fri Feb 12 18:56:27 EST 2010

On Sat, Feb 13, 2010 at 05:06:38AM +0530, vijit singh wrote:
> Hello everyone,
> SocialCalc is based upon the use of hulahop.webview widget. While trying to
> run socialcalc on sugar emulator running on Fedora and Ubuntu, error saying
> "No module hulahop" was occurring. So, we tried installing hulahop on these
> linux distributions.
> *1. Firstly we tried with ubuntu-8.10, here are the exact steps taken- *
> * **xulrunner was pre-installed. And then I installed python-support.deb and
> libxul0d.deb which are pre-requistie packages for python-xpcom package
> (other pre-requistie packages were already installed). Then i installed
> python-xpcom. And then I installed python-hulahop and hulahop. *
> *Downlaod links for these packages are as follows:-*
> *http://packages.ubuntu.com/en/intrepid/python/python-xpcom*
> * <http://packages.ubuntu.com/en/intrepid/python/python-xpcom>**
> http://packages.ubuntu.com/en/intrepid/hulahop*<http://packages.ubuntu.com/en/intrepid/hulahop>
> *
> **http://packages.ubuntu.com/en/intrepid/python-hulahop*
> Now, though hulahop was getting imported but while using hulahop.webview, an
> error saying "hulahop has no attribute webview" occured. However, when we
> checked the hulahop folder, there was a file named webview.py, so this
> problem might be because of some kind of wrongly set library paths.
> *2. Then we tried it with ubuntu-9.10, with similar steps but got the same
> result.*

for all ubuntu versions before 10.04(10.04 uses debian packages),
try sugar repos from
the package is python-hulahop

but it supports only 9.10, 9.04, 8.04
not sure if supporting 8.10 makes sense today, since LTS is 8.04


More information about the Devel mailing list